Skala
Work order material logs

Replace a work order material log

Completely replaces the data of an existing work order material log with the provided payload.

PUT
/api/work_order_material_logs/{id}

Completely replaces the data of an existing work order material log with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

WorkOrderMaterialLog identifier

Request Body

application/json

The updated WorkOrderMaterialLog resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/work_order_material_logs/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "material": "/entity/1",
  "workOrder": "/entity/1",
  "plannedQuantity": "string",
  "actualQuantity": "string",
  "unitCost": "string",
  "totalCost": "string",
  "batch": "/entity/1",
  "variant": "/entity/1",
  "company": "/entity/1",
  "createdBy": "/entity/1",
  "updatedBy": "/entity/1",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z"
}
Empty
Empty
Empty